AOWP_PHPStaticMethodCallElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPStaticMethodCallElement
/parser/ast/PHPStaticMethodCallElement.class.php at line 12

# Class AOWP_PHPStaticMethodCallElement

    AOWP_PHPElement
        └─AOWP_PHPStaticMethodCallElement

public class AOWP_PHPStaticMethodCallElement
extends AOWP_PHPElement

Enter description here...

Author:
  Ryoto Naruse /

Field Summary
mixed | $arguments
mixed | $className
mixed | $functionName

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPStaticMethodCallElement(mixed lineOrClassName, mixed classNameOrFunctionName, mixed functionName, mixed arguments)

Method Summary
void | __toString()
void | addScalarArgument(mixed scalarArgument)
void | addVariableArgument(mixed variableName)
void | kind()

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPStaticMethodCallElement.class.php at line 15

### arguments

`public mixed $arguments`

/parser/ast/PHPStaticMethodCallElement.class.php at line 13

### className

`public mixed $className`

/parser/ast/PHPStaticMethodCallElement.class.php at line 14

### functionName

`public mixed $functionName`

## Constructor Detail

/parser/ast/PHPStaticMethodCallElement.class.php at line 17

### AOWP_PHPStaticMethodCallElement

`public AOWP_PHPStaticMethodCallElement(mixed lineOrClassName, mixed classNameOrFunctionName, mixed functionName, mixed arguments)`

## Method Detail

/parser/ast/PHPStaticMethodCallElement.class.php at line 43

### __toString

`public void __toString()`

/parser/ast/PHPStaticMethodCallElement.class.php at line 31

### addScalarArgument

`public void addScalarArgument(mixed scalarArgument)`

/parser/ast/PHPStaticMethodCallElement.class.php at line 35

### addVariableArgument

`public void addVariableArgument(mixed variableName)`

/parser/ast/PHPStaticMethodCallElement.class.php at line 39

### kind

`public void kind()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr